[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'process' (#fcl)

# TPROCESS.CurrentDirectory

Working directory of the process.

## Declaration

Source position: processbody.inc line 151

`published property TPROCESS.CurrentDirectory : TProcessString read FCurrentDirectory write FCurrentDirectory;`

## Description

CurrentDirectory specifies the initial working directory of the newly started process.

Changing this property after the process was started has no effect, and if the process or any of its children changes their working directory, it will not reflect this.

## See also

TProcess.Environment |  | Environment variables for the new process